Name:		flacon
Version:	6.1.0
Release:	%mkrel 2
Summary:	Audio file splitter and converter
License:	LGPLv2+
Group:		Sound/Editors and Converters
URL:		http://flacon.github.io/
Source0:	https://github.com/flacon/flacon/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

Recommends:	flac
Recommends:	lame
Recommends:	mac
Recommends:	mp3gain
Recommends:	opus-tools
Recommends:	ttaenc
Recommends:	vorbis-tools
Recommends:	vorbisgain
Recommends:	wavpack
#the following are optional de-/encoders, kept only as reminder, DO NOT REMOVE!
#ttaenc		TrueAudio
#mac		MonkeyAudio / APE


%description
Flacon extracts individual tracks from one big audio file containing the entire
album of music and saves them as separate audio files. To do this, it uses
information from the appropriate CUE file. Besides, Flacon makes it possible to
conveniently revise or specify tags both for all tracks at once or for each tag
separately.

Features:

    *Supported input formats: WAV, FLAC, APE, WavPack, True Audio (TTA).
    *Supported out formats: FLAC, WAV, WavPack, AAC, OGG or MP3.
    *Replay Gain analysis (album-gain and track-gain modes).
    *Multi-threaded conversion process.
    *Automatic character set detection for CUE files.
    *Generation of the pertrack CUE file in the output dir.

%prep
%setup -q

%build
%cmake_qt5 \
	-DBUILD_TESTS=Yes
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_metainfodir}/com.github.Flacon.metainfo.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 6.1.0-2.mga8
+ Revision: 1658445
- Rebuild for new Qt5

* Tue Jun 30 2020 daviddavid <daviddavid> 6.1.0-1.mga8
+ Revision: 1600715
- new version: 6.1.0

* Thu Jun 18 2020 daviddavid <daviddavid> 6.0.0-1.mga8
+ Revision: 1595822
- new version: 6.0.0

* Sun Feb 16 2020 umeabot <umeabot> 5.5.1-2.mga8
+ Revision: 1534472
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Oct 03 2019 daviddavid <daviddavid> 5.5.1-1.mga8
+ Revision: 1449054
- new version: 5.5.1

* Mon Apr 29 2019 daviddavid <daviddavid> 5.4.0-1.mga7
+ Revision: 1395826
- new version: 5.4.0

* Thu Apr 18 2019 daviddavid <daviddavid> 5.3.0-1.mga7
+ Revision: 1393282
- new version: 5.3.0

* Wed Apr 03 2019 daviddavid <daviddavid> 5.2.0-1.mga7
+ Revision: 1385492
- new version: 5.2.0

* Sat Mar 30 2019 umeabot <umeabot> 5.1.0-2.mga7
+ Revision: 1381716
- Qt5 Rebuild

* Mon Jan 28 2019 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1361750
- new version: 5.1.0

* Wed Nov 07 2018 daviddavid <daviddavid> 5.0.0-1.mga7
+ Revision: 1328724
- new version: 5.0.0

* Sun Sep 23 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1297712
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 4.1.0-1.mga7
+ Revision: 1221163
- new version: 4.1.0

* Tue Dec 26 2017 daviddavid <daviddavid> 4.0.0-1.mga7
+ Revision: 1185189
- new version: 4.0.0

* Fri Aug 11 2017 daviddavid <daviddavid> 3.1.1-1.mga7
+ Revision: 1139636
- new version: 3.1.1

* Wed Jul 05 2017 daviddavid <daviddavid> 3.0.0-1.mga6
+ Revision: 1109057
- new version: 3.0.0
- remove shntool as a dependency as it is outdated

* Wed Dec 28 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 1078520
- new version: 2.1.1

* Sat Oct 08 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 1059507
- new version: 2.1.0

* Wed Feb 03 2016 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 933325
- new version: 2.0.1
- use %%cmake_qt5 macro

* Mon Sep 07 2015 daviddavid <daviddavid> 1.2.0-2.mga6
+ Revision: 873813
- add support for Opus output files
- introduce license macro
- enable build tests

* Sun Sep 06 2015 daviddavid <daviddavid> 1.2.0-1.mga6
+ Revision: 873277
- new version: 1.2.0
- build with Qt5 (now available)
- update Source URL
- update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-3.mga5
+ Revision: 751156
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-2.mga5
+ Revision: 679221
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Aug 28 2014 daviddavid <daviddavid> 1.0.1-1.mga5
+ Revision: 669063
- new version: 1.0.1

* Fri Jul 18 2014 daviddavid <daviddavid> 1.0.0-1.mga5
+ Revision: 653675
- new version: 1.0.0

* Fri Mar 14 2014 david-david <david-david> 0.9.4-1.mga5
+ Revision: 603861
- add mac on suggests (now it is avaible on mga)
- add ttaenc on suggests (now it is avaible on mga)
- change License to LGPLv2+
- add doc files and man files
- flacon is now switched from Python to C++ program
- new version: 0.9.4

* Wed Mar 05 2014 david-david <david-david> 0.8.0-3.mga5
+ Revision: 600024
- add missing Requires on python-chardet (mga#12926)

* Sat Oct 19 2013 umeabot <umeabot> 0.8.0-2.mga4
+ Revision: 525532
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- should be noarch package

* Fri May 31 2013 fwang <fwang> 0.8.0-1.mga4
+ Revision: 433559
- new version 0.8.0

* Fri Jan 11 2013 umeabot <umeabot> 0.6.0-3.mga3
+ Revision: 350470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 barjac <barjac> 0.6.0-2.mga3
+ Revision: 323155
- changed group in line with new policy

* Tue Jan 17 2012 doktor5000 <doktor5000> 0.6.0-1.mga2
+ Revision: 197432
- new version 0.6.0
- added missing Requires on python-qt4-gui,
  python-qt4-network and python-sip
- use xdg-user-dir for default output directory
- fix license to GPLv3+
- imported package flacon

